Vinoth Kumar

    Vinoth Kumar

    7 months ago
    Hi unable to install prefect Orion . I am getting ImportError: cannot import name 'ThreadedChildWatcher' from 'asyncio'
    Anna Geller

    Anna Geller

    7 months ago
    Can you share more how you installed the package? You can try to reinstall using:
    pip uninstall prefect
    pip install -U "prefect>=2.0a9"
    This way, you should get the latest version
    Vinoth Kumar

    Vinoth Kumar

    7 months ago
    yes i did . Package has been installed. unable to check version and when i try to run the code i am getting the I am getting ImportError: cannot import name 'ThreadedChildWatcher' from 'asyncio
    Anna Geller

    Anna Geller

    7 months ago
    what if you try installing it on WSL? I haven’t tested that on Windows yet. Also, you may try in a virtual environment with a lower Python version e.g. 3.8
    ok, just tested on both 3.8 and 3.9 and both work fine in a conda environment. I see that you are using Pycharm. Can you try adding a new Conda interpreter and install Orion from scratch there?
    Vinoth Kumar

    Vinoth Kumar

    7 months ago
    Once installation completed
    Not working
    pip install prefect
    Above command working properly
    But i want higher verison of prefect
    Anna Geller

    Anna Geller

    7 months ago
    Did you run it in a conda virtual environment? If Conda doesn’t work for you, I would recommend installing in WSL “pip install prefect” will install Prefect <= 1.0 rather than Orion (Prefect>=2.0)
    Vinoth Kumar

    Vinoth Kumar

    7 months ago
    yes . i have installed conda only
    Anna Geller

    Anna Geller

    7 months ago
    Vinoth Kumar

    Vinoth Kumar

    7 months ago
    facing same issues
    can you suggest some other tool ?
    Anna Geller

    Anna Geller

    7 months ago
    I would recommend trying WSL - Windows Subsystem for Linux. Have you tried that?
    Vinoth Kumar

    Vinoth Kumar

    7 months ago
    No .i dont have idea about that
    Anna Geller

    Anna Geller

    7 months ago
    Vinoth Kumar

    Vinoth Kumar

    7 months ago
    can you confirm prefect>=2.0a9 is not supported for direct windows?
    i have installed jupiter notebook and tried and getting same error
    Anna Geller

    Anna Geller

    7 months ago
    I can only confirm that we currently don’t run any tests on Windows and haven’t optimized the package for Windows yet. Therefore, for now I would recommend installing in WSL. Alternatively - since it seems you don’t wanna try the WSL option 🙂 - you can try using Docker:
    docker pull prefecthq/prefect:2.0a9-python3.9
    Vinoth Kumar

    Vinoth Kumar

    7 months ago
    ok
    Anna Geller

    Anna Geller

    7 months ago
    but I can confirm this error - just tried to reproduce on a windows tablet and got the same error
    Vinoth Kumar

    Vinoth Kumar

    7 months ago
    okay okay
    i will try in linux